Artboard
OttoFMS Settings

[Deprecated] Update Offsite Backup Settings

POST
/otto/api/settings/offsite

Request Body

application/json

POST /otto/api/settings/offsite Request body

access_key_id*string
bucketName*string

Name of the bucket to use for this server

Length1 <= length
endpoint*string

S3 endpoint to use for offsite backup

region?string
remotePath?string

Remote path to use for this server. We recommend using the server name

secret_access_key*string
setupBackupSchedule?boolean

If true, will setup an offsite backup schedule with the update of the settings.

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/settings/offsite" \  -H "Content-Type: application/json" \  -d '{    "access_key_id": "string",    "bucketName": "string",    "endpoint": "string",    "secret_access_key": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}